Bug 856883 - centos 5.8
centos 5.8
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
4.2
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 23:59 EDT by Vitaliy
Modified: 2014-10-12 18:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-13 00:02:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitaliy 2012-09-12 23:59:56 EDT
Component: system-config-network
Version: 1.3.99.21
Summary: TB /usr/lib/python2.4/site-packages/rhpl/genClass.py:217:_objToStr:Unic                                                                              odeDecodeError: 'ascii' codec can't decode byte 0xd1 in position 0: ordinal not                                                                               in range(128)
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 230, in ?
    loadConfig(screen)
  File "/usr/sbin/system-config-network-tui", line 136, in loadConfig
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 510                                                                              , in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 363                                                                              , in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 269                                                                              , in updateFromSystem
    log.log(5, str(self))
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 550, in __str__
    return GenClass.__str__(self)
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 179, in __str__
    return self._objToStr(parentStr)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 328                                                                              , in _objToStr
    retstr += dev._objToStr("HardwareList.%s.%s" % (dev.Type,
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 217, in _objToS                                                                              tr
    retstr += "%s.%s=%s\n" % (parentStr, child, str(val))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd1 in position 0: ordinal                                                                               not in range(128)

> /usr/lib/python2.4/site-packages/rhpl/genClass.py(217)_objToStr()
-> retstr += "%s.%s=%s\n" % (parentStr, child, str(val))
(Pdb) Error in sys.excepthook:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 119, in <lambda>
    PRG_NAME, PRG_VERSION)
  File "/usr/sbin/system-config-network-tui", line 113, in handleException
    pdb.post_mortem (tb)
  File "/usr/lib/python2.4/pdb.py", line 1012, in post_mortem
    p.interaction(t.tb_frame, t)
  File "/usr/lib/python2.4/pdb.py", line 158, in interaction
    self.cmdloop()
  File "/usr/lib/python2.4/cmd.py", line 130, in cmdloop
    line = raw_input(self.prompt)
KeyboardInterrupt

Original exception was:
Traceback (most recent call last):
  File "/usr/sbin/system-config-network-tui", line 230, in ?
    loadConfig(screen)
  File "/usr/sbin/system-config-network-tui", line 136, in loadConfig
    hardwarelist = getHardwareList()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 510, in getHardwareList
    __HWList.load()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 363, in load
    self.updateFromSystem()
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 269, in updateFromSystem
    log.log(5, str(self))
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 550, in __str__
    return GenClass.__str__(self)
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 179, in __str__
    return self._objToStr(parentStr)
  File "/usr/share/system-config-network/netconfpkg/NCHardwareList.py", line 328, in _objToStr
    retstr += dev._objToStr("HardwareList.%s.%s" % (dev.Type,
  File "/usr/lib/python2.4/site-packages/rhpl/genClass.py", line 217, in _objToStr
    retstr += "%s.%s=%s\n" % (parentStr, child, str(val))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd1 in position 0: ordinal not in range(128)
Comment 1 Simon Green 2012-09-13 00:02:07 EDT
CentOS's bug tracker can be found at http://bugs.centos.org/

Note You need to log in before you can comment on or make changes to this bug.